<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yankee
 */

get_header();
?>

<div class="entry-posts entry-page-padding">
	<div class="<?php yankee_content_layout() ?>">
		<div class="row">
			<div class="<?php yankee_content_column(); ?>">
				<?php
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							* Include the Post-Type-specific template for the content.
							* If you want to override this in a child theme, then include a file
							* called content-___.php (where ___ is the Post Type name) and that will be used instead.
							*/
							get_template_part( 'template-parts/contents/content', get_post_format() );

						endwhile;

						yankee_posts_navigation();

					else :

						get_template_part( 'template-parts/contents/content', 'none' );

					endif;
				?>
			</div>
			<?php get_sidebar(); ?>
		</div>
	</div>
</div>

<?php
get_footer();
